[SOLVED] Can't upgrade to Centos 5.5.

Support for the other architectures (X86_64, IA-64, and PowerPC)
Post Reply
spookie2005
Posts: 35
Joined: 2009/06/19 18:35:27

[SOLVED] Can't upgrade to Centos 5.5.

Post by spookie2005 » 2010/05/17 19:15:50

Hello,

When I do the update thing I get lots of errors,but always the same missing file

Error: Missing Dependency: libidn.so.11 is needed by package nspluginwrapper-1.3.0-8.el5.i386 (base)

so libidn.so.11 is missing...It looks like I found this file in libid.so version I don't know which one...But when I want to install this package,I get the message:Package already installed...

Any ideas what I can try next because now I cannot update anymore?

Thanks

User avatar
AlanBartlett
Forum Moderator
Posts: 9320
Joined: 2007/10/22 11:30:09
Location: ~/Earth/UK/England/Suffolk
Contact:

Re: Can't upgrade to Centos 5.5.

Post by AlanBartlett » 2010/05/18 12:14:42

Please read [url=https://www.centos.org/modules/newbb/viewtopic.php?topic_id=25128&forum=47]How To Provide Information About Your System[/url], download the script, execute [b]./getinfo.sh package[/b] and then make the output available for viewing.

For a 32-bit system --

[code]
[ajb@stxsl ~]$ yum whatprovides libidn.so.11
Loaded plugins: fastestmirror, priorities
[i]<snip>[/i]
libidn-0.6.5-1.1.i386 : Internationalized Domain Name support library
Repo : base
Matched from:
Other : libidn.so.11

libidn-0.6.5-1.1.i386 : Internationalized Domain Name support library
Repo : installed
Matched from:
Other : Provides-match: libidn.so.11
[/code]
Perhaps the following will resolve your issue --

[code]
[b]yum reinstall libidn[/b]
[/code]

spookie2005
Posts: 35
Joined: 2009/06/19 18:35:27

Re: Can't upgrade to Centos 5.5.

Post by spookie2005 » 2010/05/18 17:29:42

Thx for your answer

This is what I get

[root@localhost niven]# yum reinstall libidn
Loaded plugins: fastestmirror, priorities
Setting up Reinstall Process
Loading mirror speeds from cached hostfile
* addons: centos.mirrors.skynet.be
* base: centos.mirrors.skynet.be
* extras: centos.mirrors.skynet.be
* rpmforge: fr2.rpmfind.net
* updates: centos.mirrors.skynet.be
205 packages excluded due to repository priority protections
No package libidn available.
* Maybe you meant: libidn
Nothing to do

[root@localhost niven]# yum whatprovides libidn.so.11
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* addons: centos.mirrors.skynet.be
* base: centos.mirrors.skynet.be
* extras: centos.mirrors.skynet.be
* rpmforge: fr2.rpmfind.net
* updates: centos.mirrors.skynet.be
205 packages excluded due to repository priority protections
Warning: 3.0.x versions of yum would erroneously match against filenames.
You can use "*/libidn.so.11" and/or "*bin/libidn.so.11" to get that behaviour
No Matches found

What can I do?

gerald_clark
Posts: 10642
Joined: 2005/08/05 15:19:54
Location: Northern Illinois, USA

[SOLVED] Can't upgrade to Centos 5.5.

Post by gerald_clark » 2010/05/18 17:43:38

# yum provides /usr/lib/libidn.so.11
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* base: mirror.steadfast.net
* updates: mirror.fdcservers.net
base | 1.1 kB 00:00
updates | 1.9 kB 00:00
Importing additional filelist information
libidn-0.6.5-1.1.i386 : Internationalized Domain Name support library
Repo : base
Matched from:
Filename : /usr/lib/libidn.so.11



libidn-0.6.5-1.1.i386 : Internationalized Domain Name support library
Repo : installed
Matched from:
Other : Provides-match: /usr/lib/libidn.so.11

spookie2005
Posts: 35
Joined: 2009/06/19 18:35:27

Re: Can't upgrade to Centos 5.5.

Post by spookie2005 » 2010/05/18 17:56:45

This is my answer

[root@localhost niven]# yum provides /usr/lib/libidn.so.11
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* addons: centos.mirrors.skynet.be
* base: centos.mirrors.skynet.be
* extras: centos.mirrors.skynet.be
* rpmforge: fr2.rpmfind.net
* updates: centos.mirrors.skynet.be
205 packages excluded due to repository priority protections
Importing additional filelist information
rpmforge/filelists 100% |=========================| 4.0 MB 00:30
rpmforge 10191/10191
No Matches found

[root@localhost niven]# yum provides */libidn.so.11
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* addons: centos.weepee.org
* base: centos.weepee.org
* extras: centos.weepee.org
* rpmforge: fr2.rpmfind.net
* updates: centos.weepee.org
205 packages excluded due to repository priority protections
libidn-0.4.6-1.2.el5.rf.x86_64 : Internationalized string processing library
Repo : rpmforge
Matched from:
Filename : /usr/lib64/libidn.so.11



libidn-0.6.5-1.1.x86_64 : Internationalized Domain Name support library
Repo : installed
Matched from:
Filename : /usr/lib64/libidn.so.11



[root@localhost niven]# yum provides *bin/libidn.so.11
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* addons: centos.mirrors.skynet.be
* base: centos.mirrors.skynet.be
* extras: centos.mirrors.skynet.be
* rpmforge: fr2.rpmfind.net
* updates: centos.mirrors.skynet.be
205 packages excluded due to repository priority protections
No Matches found
[root@localhost niven]#

spookie2005
Posts: 35
Joined: 2009/06/19 18:35:27

Re: Can't upgrade to Centos 5.5.

Post by spookie2005 » 2010/05/18 18:06:04

I think I found the answer:

Error: Missing Dependency: libidn.so.11 is needed by package nspluginwrapper-1.3.0-8.el5.i386 (base)

I got a x86_64 system so I removed nspluginwrapper-1.3.0.8.e15.i386 and now it's updating...Let's hope it works

spookie2005
Posts: 35
Joined: 2009/06/19 18:35:27

Re: Can't upgrade to Centos 5.5.

Post by spookie2005 » 2010/05/19 06:08:05

It worked!

Thx gerald_clark & AlanBartlett

User avatar
AlanBartlett
Forum Moderator
Posts: 9320
Joined: 2007/10/22 11:30:09
Location: ~/Earth/UK/England/Suffolk
Contact:

Re: Can't upgrade to Centos 5.5.

Post by AlanBartlett » 2010/05/19 16:19:37

[quote]
It worked!
[/quote]
Excellent news.

[quote]
Thx gerald_clark & AlanBartlett
[/quote]
You're welcome. :-)

Post Reply